const _Http = getApp().globalData.http;

let sa_quotedpriceid = null;
Page({
    data: {
        deletereason: "",
        loading: false,
    },
    onLoad(options) {
        sa_quotedpriceid = options.id;
        getApp().globalData.Language.getLanguagePackage(this, '作废原因');
    },
    onInput(e) {
        this.setData({
            deletereason: e.detail.value
        })
    },
    handleDetele() {
        let that = this;
        wx.showModal({
            title: getApp().globalData.Language.getMapText('提示'),
            content: getApp().globalData.Language.getMapText('是否确认作废该报价单', '', '？'),
            cancelText: getApp().globalData.Language.getMapText('取消'),
            confirmText: getApp().globalData.Language.getMapText('确定'),
            complete: ({
                confirm
            }) => {
                if (confirm) _Http.basic({
                    "id": 20221020165503,
                    "version": 1,
                    "content": {
                        "sa_quotedpriceids": [sa_quotedpriceid],
                        deletereason: that.data.deletereason
                    }
                }).then(res => {
                    console.log("作废报价单", res)
                    that.setData({
                        loading: false
                    })
                    wx.showToast({
                        title: res.code != '1' ? res.msg : getApp().globalData.Language.getMapText('作废成功'),
                        icon: "none",
                        mask: true
                    });
                    if (res.code == '1') setTimeout(() => {
                        wx.navigateBack({
                            delta: 2
                        });
                    }, 300)
                    getCurrentPages().find(v => v.__route__ == 'packageA/offers/index').getList(true)
                })
            }
        })
    }
})